package com.srs.routine.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.srs.routine.mapper.RtClassMeetingClassMapper;
import com.srs.routine.domain.RtClassMeetingClass;
import com.srs.routine.service.IRtClassMeetingClassService;

/**
 * 需开班会班级Service业务层处理
 *
 * @author srs
 * @date 2025-04-08
 */
@Service
public class RtClassMeetingClassServiceImpl extends ServiceImpl<RtClassMeetingClassMapper, RtClassMeetingClass> implements IRtClassMeetingClassService {
    @Autowired
    private RtClassMeetingClassMapper rtClassMeetingClassMapper;

    /**
     * 查询需开班会班级
     *
     * @param id 需开班会班级主键
     * @return 需开班会班级
     */
    @Override
    public RtClassMeetingClass selectRtClassMeetingClassById(Long id) {
        return rtClassMeetingClassMapper.selectRtClassMeetingClassById(id);
    }

    /**
     * 查询需开班会班级列表
     *
     * @param rtClassMeetingClass 需开班会班级
     * @return 需开班会班级
     */
    @Override
    public List<RtClassMeetingClass> selectRtClassMeetingClassList(RtClassMeetingClass rtClassMeetingClass) {
        return rtClassMeetingClassMapper.selectRtClassMeetingClassList(rtClassMeetingClass);
    }

    /**
     * 新增需开班会班级
     *
     * @param rtClassMeetingClass 需开班会班级
     * @return 结果
     */
    @Override
    public int insertRtClassMeetingClass(RtClassMeetingClass rtClassMeetingClass) {
        return rtClassMeetingClassMapper.insertRtClassMeetingClass(rtClassMeetingClass);
    }

    /**
     * 修改需开班会班级
     *
     * @param rtClassMeetingClass 需开班会班级
     * @return 结果
     */
    @Override
    public int updateRtClassMeetingClass(RtClassMeetingClass rtClassMeetingClass) {
        return rtClassMeetingClassMapper.updateRtClassMeetingClass(rtClassMeetingClass);
    }

    /**
     * 批量删除需开班会班级
     *
     * @param ids 需要删除的需开班会班级主键
     * @return 结果
     */
    @Override
    public int deleteRtClassMeetingClassByIds(Long[] ids) {
        return rtClassMeetingClassMapper.deleteRtClassMeetingClassByIds(ids);
    }

    /**
     * 删除需开班会班级信息
     *
     * @param id 需开班会班级主键
     * @return 结果
     */
    @Override
    public int deleteRtClassMeetingClassById(Long id) {
        return rtClassMeetingClassMapper.deleteRtClassMeetingClassById(id);
    }
}
